Package com.verisign.epp.codec.unhandlednamespaces.v1_0

## Class EPPUnhandledNamespace

- java.lang.Object
- - com.verisign.epp.codec.unhandlednamespaces.v1_0.EPPUnhandledNamespace

-     public class EPPUnhandledNamespace
      extends java.lang.Object

  Class used to hold the unhandled namespace information, which includes the namespace URI and the response XML of the unhandled namespace.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPUnhandledNamespace()` | Default constructor for `UnhandledNamespace`.
    `EPPUnhandledNamespace​(java.lang.String aNamespaceUri, java.lang.String aXml)` | Constructor for `UnhandledNamespace` that takes to two attributes of the namespace URI and the response XML.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `fromEppExtValue​(EPPExtValue aExtValue)` | Method to set the unhandled namespace attribute from an `EPPExtValue` of an `EPPResponse`.
    `static java.util.List<EPPUnhandledNamespace>` | `fromResponse​(EPPResponse aResponse)` | Create a list of `UnhandledNamespace` instances from the passed in `EPPResponse`
    `java.lang.String` | `getNamespaceUri()` | Gets the namespace URI of the unhandled namespace.
    `java.lang.String` | `getXml()` | Gets the response XML of the unhandled namespace.
    `static void` | `logUnhandledNamespaces​(java.util.List<EPPUnhandledNamespace> aUnhandledNamespaces)` | Utility method to log the list of `EPPUnhandledNamespace` instances.
    `static void` | `printUnhandledNamespaces​(java.util.List<EPPUnhandledNamespace> aUnhandledNamespaces)` | Utility method to print the list of `EPPUnhandledNamespace` instances.
    `void` | `setNamespaceUri​(java.lang.String aNamespaceUri)` | Sets the namespace URI of the unhandled namespace.
    `void` | `setXml​(java.lang.String aXml)` | Sets the response XML of the unhandled namespace.
    `java.lang.String` | `toString()` | Creates a `String` of the `EPPUnhandledNamespace` attributes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPUnhandledNamespace

          public EPPUnhandledNamespace()

      Default constructor for `UnhandledNamespace`.

    - #### EPPUnhandledNamespace

          public EPPUnhandledNamespace​(java.lang.String aNamespaceUri,
                                       java.lang.String aXml)

      Constructor for `UnhandledNamespace` that takes to two attributes of the namespace URI and the response XML.
      Parameters:
        `aNamespaceUri` - Namespace URI of the unhandled namespace
        `aXml` - Response XML of the unhandled namespace

  - ### Method Detail

    - #### getNamespaceUri

          public java.lang.String getNamespaceUri()

      Gets the namespace URI of the unhandled namespace.
      Returns:
        the namespaceUri namespace URI of the unhandled namespace if set; `null` otherwise.

    - #### setNamespaceUri

          public void setNamespaceUri​(java.lang.String aNamespaceUri)

      Sets the namespace URI of the unhandled namespace.
      Parameters:
        `aNamespaceUri` - tnamespace URI of the unhandled namespace

    - #### getXml

          public java.lang.String getXml()

      Gets the response XML of the unhandled namespace.
      Returns:
        Response XML of unhandled namespace if set; `null` otherwise.

    - #### setXml

          public void setXml​(java.lang.String aXml)

      Sets the response XML of the unhandled namespace.
      Parameters:
        `aXml` - Response XML of the unhandled namespace.

    - #### fromEppExtValue

          public boolean fromEppExtValue​(EPPExtValue aExtValue)

      Method to set the unhandled namespace attribute from an `EPPExtValue` of an `EPPResponse`.
      Parameters:
        `aExtValue` - `EPPExtValue` containing the unhandled namespaces information and content.
      Returns:
        `true` if the `aExtValue` does represent an unhandled namespace; `false` otherwise.

    - #### fromResponse

          public static java.util.List<EPPUnhandledNamespace> fromResponse​(EPPResponse aResponse)

      Create a list of `UnhandledNamespace` instances from the passed in `EPPResponse`
      Parameters:
        `aResponse` - Response to get the list of `UnhandledNamespace` instances.
      Returns:
        List of `UnhandledNamespace` instances if at least one unhandled namespace was found; `null` otherwise.

    - #### toString

          public java.lang.String toString()

      Creates a `String` of the `EPPUnhandledNamespace` attributes.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Encoded `String` of the object attributes.

    - #### printUnhandledNamespaces

          public static void printUnhandledNamespaces​(java.util.List<EPPUnhandledNamespace> aUnhandledNamespaces)

      Utility method to print the list of `EPPUnhandledNamespace` instances.
      Parameters:
        `aUnhandledNamespaces` - List of `EPPUnhandledNamespace` instances.

    - #### logUnhandledNamespaces

          public static void logUnhandledNamespaces​(java.util.List<EPPUnhandledNamespace> aUnhandledNamespaces)

      Utility method to log the list of `EPPUnhandledNamespace` instances.
      Parameters:
        `aUnhandledNamespaces` - List of `EPPUnhandledNamespace` instances.